Welcome to EMS Data Export!

Data Export for Oracle
  • Index
  • Next »

Welcome to EMS Data Export for Oracle!

EMS Data Export for Oracle is a powerful program to export your data quickly from Oracle databases to any of 20 available formats, including MS Access, MS Excel, MS Word (RTF), HTML, XML, PDF, TXT, CSV, DBF, ACCDB and more. Data Export for Oracle includes a wizard which allows you to set export options for each table visually (destination file name, exported fields, data formats, and many others) and a command-line utility to export data from tables and queries in one-touch.

Visit our web-site: https://www.sqlmanager.net/ for details.

Key features

  • Exporting data to most popular formats: MS Excel, MS Access, MS Word, RTF, HTML, PDF, XML, TXT, DBF, CSV, ODF, SYLK, DIF, LaTeX, SQL, ACCDB, Clipboard and others
  • Exporting data from several tables, views or queries at the same time
  • Selecting fields to export and changing their order
  • Adjustable parameters for each exported table and specific parameters for each output format
  • Saving all export parameters set on current wizard session to the configuration file
  • Command-line utility to automate your export jobs using the configuration file
  • Latest Oracle version support
  • Connecting through the SSH tunnel
  • User-friendly localizable wizard interface

Product information

Homepage: | https://www.sqlmanager.net/en/products/oracle/dataexport
Support Ticket System: | https://www.sqlmanager.net/support
Register online at: | https://www.sqlmanager.net/en/products/oracle/dataexport/buy


What's new

Data Export for Oracle
  • Index
  • « Previous
  • Next »

What's new?

Version | Release date
Data Export for Oracle 4.0 | April 25, 2023

What's new in EMS Data Export?

  • Dark interface theme added.

Whats new - Dark schema

  • Support for Unicode object names implemented.
  • Support for Windows 11 ARM implemented.
  • Updated SSH library with support for CDSA, Ed25519 and Keyboard-interactive authentication method.
  • Improve support for Oracle 21 server version.
  • SFTP implemented for uploading files.
  • Temporary files are now removed from TEMP folder automatically.
  • The issue of exporting images into DOCX files resolved.
  • Many other improvements and bug-fixes.

See also:

Version history


System requirements

  • Microsoft® Windows XP, Microsoft® Windows 2003 Server, Windows® 2008 Server, Microsoft Windows Server 2008 R2, Microsoft Windows Server 2012, Microsoft Windows Server 2012 R2, Microsoft Windows Server 2016, Microsoft Windows Vista, Microsoft Windows 7, Microsoft Windows 8/8.1, Microsoft Windows 10, Microsoft Windows 11, Microsoft Windows 11 ARM
  • 512 MB RAM or more
  • 50 Mb of available HD space for program installation
  • Oracle Client 8.1.7 or higher
  • Possibility to connect to any local or remote Oracle server
  • Supported Oracle server versions: from 8.1.7 up to 21C


Installation

If you are installing Data Export for Oracle for the first time on your PC:

  • download the Data Export for Oracle distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • run OraExportSetup.exe from the local directory and follow the instructions of the installation wizard;
  • after the installation process is completed, find the Data Export shortcut in the corresponding group of Windows Start menu.

If you want to upgrade an installed copy of Data Export for Oracle to the latest version:

  • download the Data Export for Oracle distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • close Data Export application if it is running;
  • run OraExportSetup.exe from the local directory and follow the instructions of the installation wizard

See also:

System requirements


How to buy Data Export

All purchases are provided by Digital River registration service. The Digital River order process is protected via a secure connection and makes on-line ordering by credit/debit card quick and safe.

Digital River is a global e-commerce provider for software and shareware sales via the Internet. It accepts payments in US Dollars, Euros, Pounds Sterling, Japanese Yen, Australian Dollars, Canadian Dollars or Swiss Franks by Credit Card (Visa, MasterCard/EuroCard, American Express, Diners Club), Bank/Wire Transfer, Check or Cash.

If you want to review your order information, or you have questions about ordering or payments please visit our Customer Care Center, provided by Digital River.

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys or passwords. Also you will receive a copy of registration keys or passwords by email. Please make sure to enter a valid email address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net.

To obtain more information on this product, visit us at https://sqlmanager.net/en/products/oracle/dataexport

Product distribution | MyCommerce/Digital River
EMS Data Export for Oracle (Business license) + 1-Year Maintenance* | Buy Now!
EMS Data Export for Oracle (Business license) + 2-Year Maintenance*
EMS Data Export for Oracle (Business license) + 3-Year Maintenance*
EMS Data Export for Oracle (Non-commercial license) + 1-Year Maintenance*
EMS Data Export for Oracle (Non-commercial license) + 2-Year Maintenance*
EMS Data Export for Oracle (Non-commercial license) + 3-Year Maintenance*
EMS Data Export for Oracle (Trial version) | Download Now!

*EMS Maintenance Program provides the following benefits:

  • Free software bug fixes, enhancements, updates and upgrades during the maintenance period
  • Free unlimited communications with technical staff for the purpose of reporting Software failures
  • Free reasonable number of communications for the purpose of consultation on operational aspects of the software

After your maintenance expires, you will not be able to update your software or get technical support. To protect your investments and have your software up-to-date, you need to renew your maintenance.

You can easily reinitiate/renew your maintenance with our online, speed-through Maintenance Reinstatement/Renewal Interface. After reinitiating/renewal you will receive a confirmation e-mail with all the necessary information.

See also:

How to register Data Import


How to register Data Export

To register your newly purchased copy of EMS Data Export for Oracle, perform the following:

  • receive the notification letter from Digital River with the registration info;
  • enter the Registration Name and the Registration Key from this letter;
  • make sure that the registration process has been completed successfully – check the registration information at the startup page.

Welcome to EMS Data Export - Register product

See also:

How to buy Data Export


Version history

Product name | Version | Release date
Data Export for Oracle | Version 3.7.4 | July 23, 2021
Data Export for Oracle | Version 3.7.3 | July 19, 2019
Data Export for Oracle | Version 3.7.2 | August 9, 2017
Data Export for Oracle | Version 3.7.1 | April 28, 2016
Data Export for Oracle | Version 3.7.0.1 | June 9, 2014
Data Export for Oracle | Version 3.6.0.1 | January 28, 2013
Data Export 2011 for Oracle | Version 3.3.0.1 | February 17, 2010
Data Export 2007 for Oracle | Version 3.2.0.1 | February 25, 2009
Data Export 2007 for Oracle | Version 3.1.0.1 | May 22, 2008

Version 3.7.4

  • Support for PostgreSQL 13 implemented.
  • Added support for MySQL 8.
  • Resolved error of connecting to SQL Server with TLS 1.2.
  • Erroneous table name in SQL output fixed.
  • Invalid call of procedures fixed.
  • Other minor fixes.

Version 3.7.3

  • SQL Server. Added support for Azure databases.
  • BOM mark is now optional for SQL format.
  • SQL Server. Connection to SQL Server 2017 with TLS is established correctly now.
  • Fields order was saved incorrectly into templates. Fixed now.
  • Automatic calculation of width for DOC fields has been improved.
  • Some parameters for XLS format were not saved in template. Fixed now.
  • PDF orientation was not applied correctly in the command line mode. Fixed now.
  • Renamed fields were not saved in template for CSV. Fixed now.
  • Queries were not loaded correctly in some cases. Fixed now.
  • Schema names were not exported into SQL format with "Apply to all exported objects" option enabled. Fixed now.
  • Other fixes and improvements.

Version 3.7.2

  • BLOB fields can be exported to Base64 strings for text formats now.
  • Adding of BOM is optional now.
  • The errors in using Before export script have been fixed.
  • The message about deleted tables was not added to the log. Fixed now.
  • The error of exporting view data has been fixed.
  • Dates were incorrectly exported to XLSX in some cases. Fixed now.
  • Data was not exported correctly to TXT with "User-defined column width" option on. Fixed now.
  • Many other improvements and bugfixes.

Version 3.7.1

  • Support of the latest version of OpenSSH added.
  • Memory usage has been improved.
  • The template was loaded incorrectly with Studio. Fixed now.
  • Data from views was incorrectly exported in console version. Fixed now.
  • Now timestamp format in exported file name can be adjusted.
  • User-defined field formats were not loaded from the template. Fixed now.
  • Many other improvements and bug-fixes.

Version 3.7.0.1

  • DOCX. The possibility to insert images from BLOB-fields to the table is implemented.
  • XML. Export of binary data from BLOB-field with HEX and Base64 format is implemented.
  • Numeric template and date and time template formats refer to the standard Windows formats.
  • Support of Oracle12 is implemented.
  • Passive connection mode is implemented when uploading file to FTP-server.
  • XLS. When adding the hyperlink to another *.xls file, at times the link turned out to be broken. Fixed now.
  • SQL. When inserting the large number of records, "Out of memory" error occurred. Fixed now.
  • MDB, ACCDB. Integer type fields were exported as text. Fixed now.
  • CSV. The export to UTF-8 coded files did not work. Fixed now.
  • XML. When exporting data with spaces, ordinary spaces were replaced with nonbreaking spaces. Fixed now.
  • Other improvements and bugfixes.

Version 3.6.0.1

  • Added the possibility to upload the exported files to FTP server.
  • Added the possibility to add date/time to the exported file name.
  • Added the possibility to execute SQL scripts before and after exporting the object.
  • Now the program template is created as a single file.
  • Now the localization is also available in the console version.
  • Now the binary data can be exported as HEX.
  • Export to SQL. Added the possibility to create a single INSERT statement.
  • Export to Excel (xls). Now you can set the specified number of rows to split the exported data into the worksheets in Excel.
  • Now you can save changes to a template without recalling the save dialog.
  • Loading from a template caused SQL queries corruption. Fixed now.
  • Other minor improvements and bugfixes.

Version 3.5.0.1

  • Added the possibility to export data to MS Access 2007 (*.accdb Microsoft Access Database Engine 2010 Redistributable is required).
  • Added the ability to connect via the TNS_ADMIN environment variable.
  • Now the Help file is opened in the selected language of the program.
  • Added the context menu for SQL Query Editor: Copy, Paste, Select All, Save as default query.
  • Added the possibility to save and copy the Export Process log to the clipboard.
  • There was a memory leak when exporting to Excel 2007. Fixed now.
  • When launching two or more instances of the export console simultaneously specifying an individual log file for each instance, the log file was created for the first instance only. Fixed now.
  • When exporting more than 2 GB of data to MS Access, a user-friendly error message is generated.
  • The Export Process log did not support Unicode characters. Fixed now.
  • Other improvements and bugfixes.

Version 3.4.0.7

The console version now displays the progress of the export process.

  • The export into SQL format on Windows 7 resulted in the Access Violation error. Fixed now.
  • When exporting into an existing table of MS Access, an error occurred. Fixed now.
  • When exporting into the PDF format, the right and center alignment worked incorrectly. Fixed now.
  • Now when exporting into PDF, lines with a large number of characters are split and placed correctly without overlapping the neighboring cells.
  • The interface language chosen for the utility was not saved. Fixed now.
  • Now the non-allowed characters in the automatically generated names are replaced by the underscore.
  • Some other improvements and bugfixes.

Version 3.3

When exporting from a SQL query, the query text can be added both to Header and Footer

  • Some visual changes are introduced; the sizes of forms/form parts are saved now
  • Fixed the bug, connected with writing the rows number to the DBF file header
  • It is now possible to define size and decimal for float fields when exporting to the DBF file
  • An error occurred on exporting more than 65536 records to Excel 97-2003. Fixed now
  • Some other improvements and bugfixes

Version 3.2

  • When exporting data from the result of a query with parameters you can set its parameters' type
  • When exporting data to SQL Script, BLOB (MEMO, BLOB, CLOB, etc.) data is formatted according to the destination server syntax
  • Added the possibility to set page orientation when exporting data to MS Word 2007
  • Connecting to Oracle as Normal resulted in error. Fixed now
  • When a template was used for export, tables weren't displayed at Step 5. Fixed now
  • Some other improvements and bugfixes

Version 3.1

  • Added the possibility to select file encoding when exporting to TXT (ANSI, OEM, MAC, UTF8, UTF16, UTF32)
  • Export to SQL script: if the source DBMS is selected as the destination server, the syntax of the CREATE TABLE statement completely complies with the source DBMS specifications
  • Export to SQL script: added the possibility to generate the 'IDENTITY_INSERT' SQL statement for export to MS SQL script
  • Now the 'Destination Directory' value is saved to the template and is restored when the template is loaded
  • Fixed the "Error: Record 0 not accessible in Unidirectional mode" error that sometimes occurred in the trial version of the utility
  • In some cases the Database Home list was empty. Fixed now
  • The DBF files created by the utility were larger in size than required, as the size of all created char fields was set to 254. Fixed now
  • Other minor improvements and bug-fixes

Older version history is available at http://www.sqlmanager.net/products/oracle/dataexport/news

See also:

What's new


EMS Data Export FAQ

Please read this page attentively if you have questions about Data Export for Oracle.

Table of contents

  • What is EMS Data Export for Oracle?
  • What do I need to start working with EMS Data Export for Oracle?
  • What is the difference between the Export feature of SQL Manager for Oracle and the Data Export for Oracle standalone utility?
  • Are there any limitations implied in the trial version as compared with the full one?
  • What is the easiest way to configure the template files for the Data Export console application?

Question/answer list

Q: What is EMS Data Export for Oracle?

A: EMS Data Export for Oracle is a powerful program to export your data quickly from Oracle databases to any of 20 available formats, including MS Access, MS Excel, MS Word (RTF), HTML, XML, PDF, TXT, CSV, DBF and others. Data Export for Oracle includes a wizard which allows you to set export options for each table visually (destination file name, exported fields, data formats, and much more) and a command-line utility to export data from tables and queries in one-touch.

Q: What do I need to start working with EMS Data Export for Oracle?

A: First of all, you must have a possibility to connect to some local or remote Oracle server to work with Data Export. You can download Oracle database server from http://www.oracle.com/technology/software. Besides, you need your workstation to satisfy the system requirements for Data Export for Oracle.

Q: What is the difference between the Export feature of SQL Manager for Oracle and the Data Export for Oracle standalone utility?

A: First of all, Data Export for Oracle works faster as it is a considerably lighter application. Besides, it provides additional features for query building, namely:

  • export data from several tables simultaneously;
  • export data from tables and queries selected from different databases;
  • the command-line version of the utility to export data using the configuration (template) file with all export settings.

Q: Are there any limitations implied in the trial version as compared with the full one?

A: Actually the trial version of the utility only allows you to export 20% of records at a time. In spite of this limitation, you can test all the features implemented in Data Export for Oracle within the 30-day trial period.

Q: What is the easiest way to configure the template files for the Data Export console application?

A: You can configure the template files for each table visually using the Data Export Wizard application. Set the required export options and select the Tools | Save Template menu item on Step 8 or Step 9 of the wizard. All the options will be saved to the template file which can be used by the console application.

Scroll to top

If you still have any questions, contact us at Support Center.


Other EMS Products

Quick navigation

MySQL

Microsoft SQL Server

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for MySQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for MySQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for MySQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for MySQL Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to MySQL.
datagenerator | Data Generator for MySQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for MySQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for MySQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for MySQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for MySQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Microsoft SQL Server

 | SQL Management Studio for SQL Server EMS SQL Management Studio for SQL Server is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for SQL Server Perform backup and restore, log shipping and many other regular maintenance tasks on the whole set of SQL Servers in your company.
sqladmin | SQL Administrator for SQL Server Perform administrative tasks in the fastest, easiest and most efficient way. Manage maintenance tasks, monitor their performance schedule, frequency and the last execution result.
 | SQL Manager for SQL Server Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for SQL Server Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for SQL Server Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for SQL Server Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to Microsoft® SQL Server™.
datagenerator | Data Generator for SQL Server Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for SQL Server Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for SQL Server Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for SQL Server Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for SQL Server Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for PostgreSQL Creates backups for multiple PostgreSQL servers from a single console. You can use automatic backup tasks with advanced schedules and store them in local or remote folders or cloud storages
 | SQL Manager for PostgreSQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for PostgreSQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for PostgreSQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for PostgreSQL Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, InterBase/Firebird, etc.) to PostgreSQL.
datagenerator | Data Generator for PostgreSQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for PostgreSQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for PostgreSQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for PostgreSQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for PostgreSQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for InterBase/Firebird Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for InterBase/Firebird Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for InterBase/Firebird Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for InterBase/Firebird Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, PostgreSQL, etc.) to InterBase/Firebird.
datagenerator | Data Generator for InterBase/Firebird Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for InterBase/Firebird Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for InterBase/Firebird Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for InterBase/Firebird Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for InterBase/Firebird Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for Oracle Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for Oracle Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for Oracle Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for Oracle Migrate from most popular databases (MySQL, PostgreSQL, MySQL, DB2, InterBase/Firebird, etc.) to Oracle
datagenerator | Data Generator for Oracle Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for Oracle Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for Oracle Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for Oracle Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for Oracle Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

IBM DB2

 | SQL Manager for DB2 Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for DB2 Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for DB2 Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for DB2 Migrate from most popular databases (MySQL, PostgreSQL, Oracle, MySQL, InterBase/Firebird, etc.) to DB2
datagenerator | Data Generator for DB2 Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
extract | DB Extract for DB2 Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for DB2 Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
 | Scroll to top

Tools & components

advancedexport | Advanced Data Export for RAD Studio VCL Advanced Data Export for RAD Studio VCL allows you to save your data in the most popular office programs formats.
advancedexport | Advanced Data Export .NET Advanced Data Export .NET is a component for Microsoft Visual Studio .NET that will allow you to save your data in the most popular data formats for the future viewing, modification, printing or web publication. You can export data into MS Access, MS Excel, MS Word (RTF), PDF, TXT, DBF, CSV and more! There will be no need to waste your time on tiresome data conversion - Advanced Data Export will do the task quickly and will give the result in the desired format.
advancedimport | Advanced Data Import for RAD Studio VCL Advanced Data Import for RAD Studio VCL will allow you to import your data to the database from files in the most popular data formats.
pdfgenerator | Advanced PDF Generator for RAD Studio Advanced PDF Generator for RAD Studio gives you an opportunity to create PDF documents with your applications written on Delphi or C++ Builder.
querybuilder | Advanced Query Builder for RAD Studio VCL Advanced Query Builder for RAD Studio VCL is a powerful component for Delphi and C++ Builder intended for visual building SQL statements for the SELECT, INSERT, UPDATE and DELETE clauses.
excelreport | Advanced Excel Report for RAD Studio Advanced Excel Report for RAD Studio is a powerful band-oriented generator of template-based reports in MS Excel.
advancedlocalizer | Advanced Localizer for RAD Studio VCL Advanced Localizer for RAD Studio VCL is an indispensable component for Delphi for adding multilingual support to your applications.
 | Scroll to top


Wizard application

Data Export for Oracle wizard application provides easy-to-use wizard interface to set all data export parameters visually.

  • Working with wizard application
  • Using configuration files
  • Setting program preferences

Wizard application - Working with wizard application

See also:

Console application


Working with wizard application

Follow the steps of the wizard to export data from Oracle tables for your needs.

Getting started

Step 1 - Setting connection properties

Step 2 - Selecting databases and tables

Step 3 - Specifying queries

Step 4 - Selecting export data format

Step 5 - Selecting fields to export

Step 6 - Setting export options

Step 7 - Setting base data formats

Step 8 - Setting common options

Step 9 - Defining scripts

Step 10 - Start of data export process

See also:

Working with console application

Setting program preferences


Getting started

This is how Data Export for Oracle wizard application looks when you start it.

This page allows you to view registration information and current program version.

Enter Registration Code...

If you have not registered Data Export for Oracle yet, you can do it by pressing the button and entering your registration information.

If the registration is correct, message with maintenance period ending date will appear.

Wizard application - Working with wizard application

Press the Next button to proceed to the next page.

See also:

How to buy Data Export


Step 1 - Setting connection options

At this step you should specify necessary settings to establish connection to the source Oracle database.

Connection settings

Database Home

Specify your Oracle Home storage for this connection.

Connect as

Select the type of connection to be established: Normal (by default), SYSDBA, SYSOPER.

Authentication

Select the type of the authentication to be used for the connection: Server or Windows authentication.

If Server has been selected as the authentication type, you should also provide authentication settings: Login and Password.

The default superuser name is 'SYS' (for Oracle 9.0 and higher) and the default password is 'change_on_install'.

After that it is necessary to specify the database you are going to work with: type in the database name in the Database field or select one in the drop-down list (the drop-down list is only available if more than one Oracle database are registered in the TNS file).

Note: If no database are registered in Oracle Client (DB list is empty in this case), then you need to add registration info manually.

If you are using the EMS SQL Management Studio for Oracle version of Data Export for Oracle then the Select registered database button is available. Click this button to pick a database already registered in the EMS SQL Management Studio in the Select Host or Database dialog.

RadioButton Connect through the Secure Shell (SSH) tunnel

Select this option to establish connection to an intermediate SSH server and forward all Oracle commands through the secure tunnel.

To setup the connection via SSH tunnel, input the following values in the corresponding fields:

SSH host is the name of the host where SSH server is running

SSH port indicates the port where SSH server is activated

SSH login stands for the user on the machine where SSH server is running (Note: it is a Linux/Windows user, not a user of Oracle server)

SSH password is the Linux/Windows user password

For details see SSH tunneling options.

When you are done, press the Next button to proceed to the next step.


Selecting registered database

Use this dialog to select a database for exporting data. This dialog is available only in EMS SQL Management Studio version of Data Export for Oracle.

Selecting registered database

All databases registered in EMS SQL Management Studio for Oracle are displayed in the list.

Select the necessary database and click the OK button.

Database registration information will be filled on the first step automatically.


Step 2 - Selecting tables

This step of the wizard allows you to select tables of the specified database to be exported.

Current database name is displayed in the upper part.

Schema

Select the required schema to export tables.

To select a table, you need to move it from the Available Tables list to the Selected Tables list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

Destination directory

Set the folder where the exported file(s) will be stored.

Hint: To select multiple tables, hold down the Shift or Ctrl key while selecting the table names.

Note: You can repeat the steps above with other databases to export data from multiple databases simultaneously.

When you are done, press the Next button to proceed to the next step.


Step 3 - Specifying queries

Use this step to define queries to export their results.

Current database name is displayed in the upper part.

Schema

Select the required schema to create a query.

btnAddQuery Add Query

Click the button to add a query. Either you can right-click within the Queries list and select the Add Query context menu item.

Query Text

You can enter SQL text for each query directly using the editor area or load an existing query from an external *.sql file by pressing the Load Query button.

While inputting query text, it is also possible to save your queries by clicking the Save Query button or clear the content of the editor by clicking the Clear Query button.

To rename a query, right-click it in the Queries list and select the Rename Query context menu item.

To delete a query, select it in the Queries list and press the btnRemoveQuery Remove Query button, or right-click the query and select the Remove Query context menu item.

To delete all queries (i.e. empty the Queries list), click the btnClearAll Clear All button, or right-click within the Queries list and select the Remove All Queries context menu item.

Note: If none of the tables was selected at the previous step, the Next button will be enabled only when the query is added.

The context menu of query editor area contains most of the standard text-processing functions (Copy, Paste, Select All). You can also save your query as a default query by choosing the corresponding context menu item. It will be automatically copied to the default query editor.

If you add a query with parameters, the Input Parameters dialog will appear on pressing the Export button at the last step. You need to define parameters type and value at the corresponding fields.

Step 9 - Imput Parameters dialog

CheckBox Don't show this step anymore

Use the option to disable this step. To enable the step use the appropriate option at the Selecting skipped steps tab of the Preferences dialog.

When you are done, press the Next button to proceed to the next step.


Step 4 - Selecting export data format

At this step you should select the destination format for exporting data.

Select a table or query in the Exported Objects list and set the appropriate option to select one of available output data formats: MS Excel 97-2003, MS Access 97-2003, MS Word 97-2003, RTF, HTML, PDF, TXT, CSV, DIF, SYLK, LaTeX, XML, DBF, SQL, Clipboard, ODS, ODT, MS Excel, MS Word, MS Access. For details refer to Supported file formats.

Hint: If more convenient, you can check the CheckBox Apply to all exported objects box to set the specified destination format for all exported objects.

When you are done, press the Next button to proceed to the next step.


Step 5 - Selecting fields to export

At this step you can select columns to export and reorder them, if necessary.

By default all table fields are exported. Look through the list of exported objects and mark/unmark the columns that should be / should not be exported: check the corresponding box in the Is Exported column.

Check all

Click the link to export all columns of the table

Uncheck all

Click the link to exclude all columns of the table from export.

Invert all

Click the link to change each columns Is Exported state to opposite.

Use btnMoveUpField Move Up or btnMoveDownField Move Down buttons or context menu items to change the order of exported columns.

Hint: If more convenient, you can check the CheckBox Export all columns of all tables box to select all fields of all specified tables and queries for export.

CheckBox Don't show this step anymore

Use the option to disable this step. To enable the step use the appropriate option at the Selecting skipped steps tab of the Preferences dialog.

When you are done, press the Next button to proceed to the next step.


Step 6 - Setting export options

At this step you should set specific options according to selected output file format at Step 4.

  • Header & Footer Options
  • Caption Options
  • Setting format-specific options

Hint: If more convenient, you can check the CheckBox Apply to all exported objects box to set the specified format for all exported objects.

When you are done, press the Next button to proceed to the next step.


Header & Footer options

The Header & Footer tab allows you to customize the header and footer areas of the result file.

Set Header text and Footer text for the result file. This text will appear at the beginning and at the end of the result file respectively.

CheckBox Allow captions

If this option is checked (default), the column captions are included into the result file.

Step 6 - Header and Footer

Add Query Text

When exporting from query you can optionally add query text to the file header or footer. Use the corresponding buttons Add Query Text to add the specified query text or Add Query Template to add the query used in export.

Note: You can add the following macros: &N for total page count, &P for the current page number.

Hint: If more convenient, you can check the CheckBox Apply to all exported objects box to set the specified captions for all exported objects.

See also:

Caption, width and align options

Setting format-specific options


Caption, width and align options

This tab allows you to customize fields of the result file: specify column captions, width and/or align.

CheckBox Allow captions

If this option is checked (default), the column captions are included into the result file.

Use the grid to set the captions of the result table columns. Default column captions correspond to the database field names.

For some of the export types columns Width and/or Align are also available. In the Align column you can select the text alignment for a certain column (Left, Right or Center). In the Width column you can set a numeric value defining the width of the result column.

Step 6 - Captions

Hint: If more convenient, you can check the CheckBox Apply to all exported objects box to set the specified captions for all exported objects.

See also:

Header & Footer options

Setting format-specific options


Format-specific options

This tab allows you to customize format-specific options:

  • Excel 97-2003 Options
  • Access Options
  • Word / RTF Options
  • HTML Options
  • PDF Options
  • TXT Options
  • CSV Options
  • SQL Options
  • XML Options
  • DBF options
  • Excel / ODS options
  • ODT options

To get more information about the file formats, see the Supported file formats page.

See also:

Header & Footer options

Caption, width and align options


Excel 97-2003 options

This tab allows you to set options for the target MS Excel 97-2003 (*.xls) file.

You can customize Data format, Extensions and set Advanced options available within the corresponding sub-tabs:

  • Data format
  • Extensions
  • Advanced

Format-specific options - MS Excel - Data format - Fields

Note: For your convenience the previews illustrating the changes are displayed in the Sample Cell area.

Hint: You can reset the changes any time using the Reset Item and the Reset All buttons.

See also:

Access options

Word 97-2003 / RTF options

HTML options

PDF options

TXT options

CSV options

SQL options

XML options

DBF options

Excel / ODS options

Word / ODT options


Data format

The Data Format tab contains general options which allow you to adjust the format for each kind of Excel cells. This means that you can specify such parameters as font, borders, filling color and method, etc. for each entity (such as data field, header, footer, caption, data, hyperlink and so on) separately. Also it is possible to create styles to make the target Excel file striped by columns or rows.

  • Columns
  • Options
  • Styles

Note: For your convenience the previews illustrating the changes are displayed in the Sample Cell area on each sub-tab of the Data Format tab.


Columns

Data Export for Oracle
  • Index
  • « Previous
  • Next »

Using the Columns tab you can set font options, border and fill options and select and aggregate functions for all columns you want to export.

Format-specific options - MS Excel - Data format - Fields

Hint: You can reset the changes any time using the Reset Item and the Reset All buttons.

Use the Font and Size drop-down lists to select the font and size to be applied to the output text.

Use the buttons below to set font color, make text bold, italicized, strikethrough text, set underline effects, specify text horizontal and vertical align.

Press the [image] [image] [image] [image] buttons on the left to show/hide the borders they indicate.

Use the drop-down list for each border to select the line type and the [image] button on the right to select the line color for each border.

Use the drop-down list to select the preferable fill pattern type.

Press the [image] button on the left to set the background color for the fill pattern.

Press the [image] button on the right to set the foreground color for the fill pattern.

The aggregate functions from the Functions group allows you to count Average (AVG), Maximum (MAX), Minimum (MIN), or Sum (SUM) of the field values.

Selected aggregate function will be applied to the field and the result will be added to the additional row in the exported file.

At the Sample Cell section you can preview options changes.


Options

Using the Options tab you can set font options, border and fill options for all elements of the Excel sheet (header, caption, footer, aggregates).

Format-specific options - MS Excel - Data format - Options

Hint: You can reset the changes any time using the Reset Item and the Reset All buttons.

Use the Font and Size drop-down lists to select the font and size to be applied to the output text.

Use the buttons below to set font color, make text bold, italicized, strikethrough text, set underline effects, specify text horizontal and vertical align.

Press the [image] [image] [image] [image] buttons on the left to show/hide the borders they indicate.

Use the drop-down list for each border to select the line type and the [image] button on the right to select the line color for each border.

Use the drop-down list to select the preferable fill pattern type.

Press the [image] button on the left to set the background color for the fill pattern.

Press the [image] button on the right to set the foreground color for the fill pattern.

At the Sample Cell section you can preview options changes.


Styles

Using the Styles tab you can make a style template: set font options, border and fill options and save them.

Use iconPlus iconMinus buttons to add/remove a style.

Use btnMoveUp btnMoveDown buttons to reorder the style's list.

You can also save styles and load saved ones.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip style selection).

Format-specific options - MS Excel - Data format - Styles

Hint: You can reset the changes any time using the Reset Item and the Reset All buttons.

Use the Font and Size drop-down lists to select the font and size to be applied to the output text.

Use the buttons below to set font color, make text bold, italicized, strikethrough text, set underline effects, specify text horizontal and vertical align.

Press the [image] [image] [image] [image] buttons on the left to show/hide the borders they indicate.

Use the drop-down list for each border to select the line type and the [image] button on the right to select the line color for each border.

Use the drop-down list to select the preferable fill pattern type.

Press the [image] button on the left to set the background color for the fill pattern.

Press the [image] button on the right to set the foreground color for the fill pattern.

At the Sample Cell section you can preview options changes.


Extensions

The Extensions tab provides an ability to add hyperlinks and notes and to any cell of target file, to specify a value of a cell and to create a chart.

Click the iconPlus Plus button to add an element.

Click the iconMinus Minus button to delete an element.

  • Hyperlinks
  • Notes
  • Charts


Hyperlinks

If you need to create a hyperlink:

  • set the cell coordinates (Col and Row);
  • specify whether this is a local link or URL;
  • enter the title of the hyperlink;
  • specify the target file location or address.

Format-specific options - MS Excel - Extensions - Hyperlinks

Note: Hyperlink title replaces the specified cell's data.


Notes

Notes are used to keep remarks or comments for a cell. Note's data are stored separately from ones of the cell. They are displayed as a triangle in the cell's upper right corner. Note appears as a hint when you point at the cell containing a note with a mouse.

Base

The tab allows you to set basic options for the note.

  • set the cell coordinates (Col and Row);
  • enter text of a note for the cell;

Format-specific options - MS Excel - Extensions - Notes

Font

The Font tab allows you to specify properties of the font that will be used in the output Excel file notes.

Use the Font and Size drop-down lists to select the font and size to be applied to the output text.

Use the buttons below to set font color, make text bold, italicized, strikethrough text, set underline effects, specify text horizontal and vertical align.

Format-specific options - MS Excel - Extensions - Notes - Font

You also can select preferable text Orientation.

Fill

Use the Fill tab to set the note fill type and color.

Format-specific options - MS Excel - Extensions - Notes - Fill

Select the fill type first: Solid or Gradient. The direction needs to be specified for gradient fill: horizontal, vertical, diagonal (down, down), from corner or from center.

Press the [image] button on the left to set the background color for the fill pattern.

Press the [image] button on the right to set the foreground color for the fill pattern.

Use Transparency slider to define visibility level of the note.


Charts

If you need to create a chart:

  • enter the chart title;
  • select the chart style (Column, Column 3D, Bar, Bar 3D, Line, Line Mark, Line 3D, etc.);
  • set the legend position: Bottom, Top, Left, Corner or Right;
  • specify if you want to show the legend;
  • specify if you want to set the chart color automatically;
  • define the chart position and category labels using the corresponding tabs.

Format-specific options - MS Excel - Extensions - Charts

Position

Position tab allows you to define chart placement and its size.

Format-specific options - MS Excel - Extensions - Charts - Position

Auto Position

RadioButton Bottom

The chart will be placed under the data.

RadioButton Right

The chart will be placed to the right from the data.

You also need to specify the distance between the chart and the data at the Left and the Top fields, and chart size at the Height and the Width.

Custom Position

Specify absolute position by setting chart coordinates: X1, Y1, X2, Y2.

Category labels

Use this tab to define Category labels.

Format-specific options - MS Excel - Extensions - Charts - Category Labels

RadioButton Column

Use column values as chart category labels.

RadioButton Custom

Define category label values range manually. Use Col 1 and Row 1 fields to specify upper left cell, and Col 2 and Row 2 fields to define the right bottom one. These cells form a square array of values that will be used as category labels.

If you need to add series for the chart:

  • add one or more series using the iconPlus button;
  • enter the titles;
  • set data ranges (select a column from the drop-down list or set the custom range);
  • define colors for all the graphs.

Format-specific options - MS Excel - Extensions - Series


Advanced

The Advanced tab allows you to set a number of advanced options to be applied to the result MS Excel file.

Format-specific options - MS Excel - Advanced

Page header

If necessary, enter some text for the page header.

Page footer

If necessary, enter some text for the page footer.

Hint: It is also possible to set macros in the Page header and Page footer fields:

&N stands for the quantity of pages;

&P - the number of the current page.

Sheet title

Specify the sheet title for the target file.

Split by rows

Use this field to define the number of rows on each sheet.

CheckBox Automatic column width

Enable this option if you want each column of the target file to be adjusted to the maximum number of characters in it.


Access options

This tab allows you to set options for the target MS Access (*.mdb) and MS Access (*.accdb)file.

Set the name for the target table and specify whether the wizard should create a new table in the MS Access database if it does not exist yet, or use the existing table to export data into.

Step 7 - Format-specific options - Access 97

Password

Specify the database password if you are exporting data to an existing MS Access database which is protected by a password.

Table Name

The name of the table within the target MS Access database.

Create table if it does not exist

Automatically creates the target table if it does not exist in the target database yet.

Export Date/Time fields as nvarchar

Enable the option to convert Date/Time data to nvarchar when exporting.

CheckBox Apply to all exported objects

Enable this option to make settings common for all objects.

See also:

Excel options

Word / RTF options

HTML options

PDF options

TXT options

CSV options

SQL options

XML options

DBF options

Excel 2007/ODS options

Word 2007/ODT options


Word / RTF options

This tab allows you to set options for the target MS Word (*.doc, *.docx) and Rich Text Format (*.rtf) files.

You can customize Base data styles, Strip data styles and set Advanced options available within the corresponding sub-tabs:

  • Base Styles
  • Strip Styles
  • Advanced

Note: For your convenience the previews illustrating the changes are displayed in the Sample area within the Base Styles and the Strip Styles tabs.

Format-specific options - Word 97- Data styles

Hint: You can reset the changes any time using the Reset Item and the Reset All buttons.

See also:

Excel 97-2003 options

Access options

HTML options

PDF options

TXT options

CSV options

SQL options

XML options

DBF options

Excel/ODS options

Word/ODT options


Base data styles

The Base Styles tab contains the list of target file entities: HEADER, CAPTION, DATA, FOOTER.

Use the Font and the Size drop-down lists to select the font and size to be applied to the output text.

Use the buttons below to set font color, make text bold, italicized, strikethrough text, set underline effects, specify text horizontal and vertical align.

Format-specific options - Word 97- Data styles

Press the [image] button on the left to set the background color.

Press the [image] button on the right to set the highlight color.

CheckBox Allow highlight

Enable this option to use the specified color in the result file as text highlight.

CheckBox Allow background

Enable this option to use the specified color in the result file as background.

Hint: You can reset the changes any time using the Reset Item and the Reset All buttons.

At the Sample section you can preview options changes.


Strip data styles

Using the Strip Styles tab you can create a style template: set font, size, background and foreground colors, text alignment, highlight and save them.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip Type selection).

Use iconPlus iconMinus buttons to add/remove a style.

Use btnMoveUp btnMoveDown buttons to reorder the style's list.

You can also save styles and load saved ones.

Format-specific options - MS Word and RTF - Strip Styles

Press the [image] button on the left to set the background color.

Press the [image] button on the right to set the highlight color.

CheckBox Allow highlight

Enable this option to use the specified color in the result file as text highlight.

CheckBox Allow background

Enable this option to use the specified color in the result file as background.

Hint: You can reset the changes any time using the Reset Item and the Reset All buttons.

At the Sample section you can preview options changes.


Advanced

The Advanced tab allows you to switch page orientation for the target Word/RTF file:

RadioButton Portrait

RadioButton Landscape

Format-specific options - MS Word and RTF - Advanced

CheckBox Automatic column width

Enable this option if you want each column of the target file to be adjusted to the maximum number of characters in it.


HTML options

This tab allows you to set options for the target HTML (*.html) file.

Step 7 - Format-specific options - HTML

You can customize the output HTML file using the following sub-tabs:

  • Preview
  • Basic
  • Multi-file
  • Advanced

See also:

Excel 97-2003 options

Access options

Word 97-2003/RTF options

PDF options

TXT options

CSV options

SQL options

XML options

DBF options

Excel/ODS options

Word/ODT options


Preview

The Preview tab allows you to customize the style that will be applied to the target HTML file using a number of built-in templates provided in the Templates combo-box. You can select any of these templates and customize it by clicking objects in the preview panel, and save the settings as a custom template using the Save as template... button. Use the Load template... button to load a previously saved custom template from your hard disk. Click on an element of the table to select its color.

Format-specific options - HTML - Preview

See also:

Basic

Multi-file

Advanced


Basic

The Basic tab allows you to specify the basic parameters of target HTML file.

Title

Specify the title of the result file.

Using CSS

Select whether the cascade style sheet (CSS) should be RadioButton Internal (CSS is stored in the result file) or RadioButton External (CSS is be stored in a separate file).

CSS file name

Click the ellipsis btnEllipsis button to define the location of the *.css file.

CheckBox Overwrite CSS file if exists

Use this option to define whether the CSS file must be replaced if it already exists.

CheckBox Interpret HTML tags

Define whether HTML tags should be interpreted as styles.

Format-specific options - HTML - Basic

See also:

Preview

Multi-file

Advanced


Multi-file

The Multi-file tab provides you with an ability to split the target HTML file into several separated files.

Multi-file export

CheckBox Use multi-file export

Enable this option to split target file into several files.

Set Maximum record(s) in single file value.

CheckBox Generate index

Enable this option to create the content page.

Index link template

Specify the template name for the link on the content page next to the page number.

Navigation

Use this section to define navigation link titles.

CheckBox On top

Set this option to add navigation links to the top of the page.

CheckBox On bottom

Set this option to add navigation links to the bottom of the page.

Format-specific options - HTML - Multi-file

See also:

Preview

Basic

Advanced


Advanced

The Advanced tab allows you to set a number of advanced options to be applied to the result HTML file.

Body options

Font name

Use the drop-down menu to select the font that will be used in the result file by default.

Font size

Use the drop-down menu to select the font size that will be used in the result file by default.

Background

If necessary, use the ellipsis btnEllipsis button to browse for a graphical file to be applied as the page background.

Advanced attributes

Define advanced attributes for HTML body.

Format-specific options - HTML - Advanced

Table options

Cell padding

Set the space size between the outer edges of the table cell and the content of the cell.

Cell spacing

Set the space size between table cells.

Border

Set the border size for tables.

Background

If necessary, use the ellipsis btnEllipsis button to browse for a graphical file to be applied as the table background.

Advanced attributes

Define advanced attributes for tables.

See also:

Preview

Basic

Multi-file


PDF options

This tab allows you to set options for the target PDF (*.pdf) file.

Step 7 - Format-specific options - PDF

Fonts section allows you to define the selected item's font.

Specify the needed Font Name and Font Encoding from the appropriate drop-down lists. You can also define the Font Size.

You can change the font color by pressing the btnFontColor Font Color button.

Page Options

Page Size

Define the page size by choosing one of the standard page sizes from the drop-down list, or set the custom size by changing Width and Height.

By default standard "A4" page size is set.

Units

Use this drop-down list to set the units of measurement for the page size and margins. Inches, millimeters and dots are available.

Orientation

Select needed page orientation from this drop-down list.

Margins

Use this section to define page margins for the exported file.

Grid Options

Step 7 - Format-specific options - PDF - Grid options

At this tab you can define Col spacing, Row Spacing and Grid Line Width.

Note: For your convenience the previews illustrating the changes are displayed in the Sample area.

See also:

Excel 97-2003 options

Access options

Word 97-2003/RTF options

HTML options

TXT options

CSV options

SQL options

XML options

DBF options

Excel/ODS options

Word/ODT options


TXT options

This tab allows you to set options for the target text (*.txt) file.

Step 7 - Format-specific options - TXT

CheckBox Automatic column width

Enable this option if you want each column of the target file to be adjusted to the maximum number of characters in it.

Spacing

Specify the number of spaces between columns in the target file.

Encoding

Use the drop-down list to specify the preferable output file encoding. Possible values are: ANSI, OEM, MAC, UTF-8, UTF-16, UTF-32.

CheckBox Add byte order mark (BOM)

With this option enabled the byte order mark is added to each TXT file.

See also:

Excel 97-2003 options

Access options

Word 97-2003 / RTF options

HTML options

PDF options

CSV options

SQL options

XML options

DBF options

Excel/ODS options

Word/ODT options


CSV options

This tab allows you to set options for the target CSV (*.csv) file.

Step 7 - Format-specific options - CSV

CheckBox Quote captions

Check this option to apply quoting for column captions in the target file.

CheckBox Quote strings

Check this option to apply quoting for string values in the target file.

Specify the column separator using the Comma drop-down list and the preferable quote character using the Quote edit-box.

Any of the following symbols can be used as a column separator:

  • , (comma)
  • ; (semicolon)
  • ' (apostrophe)
  • TAB (Tab symbol)
  • SPACE (Space symbol)

Encoding

Use the drop-down list to specify the preferable output file encoding. Possible values are: ANSI, OEM, MAC, UTF-8, UTF-16, UTF-32.

CheckBox Add byte order mark (BOM)

With this option enabled the byte order mark is added to each TXT file.

See also:

Excel 97-2003 options

Access options

Word 97-2003/RTF options

HTML options

PDF options

TXT options

SQL options

XML options

DBF options

Excel/ODS options

Word/ODT options


SQL options

The SQL Options tab allows you to set options for SQL as the output format (as a set of INSERT statements).

Step 7 - Format-specific options - SQL

Destination server

Select the RadioButton ANSI SQL-92 standard or define the type of DBMS you need to export data for (to achieve maximum compatibility). The result script will be generated in compliance with the specifications of the selected server type:

RadioButton DB2

RadioButton InterBase/Firebird

RadioButton Microsoft® SQL Server™

RadioButton MySQL

RadioButton Oracle

RadioButton PostgreSQL

Table options

This group allows you to add the CREATE TABLE statement to the result script, define the name for the table being exported and select SQL dialect.

CheckBox Add 'IDENTITY_INSERT' statement (for export to MS SQL)

Allow explicit values to be inserted into the identity column of a table.

Commit options

This group allows you to add the COMMIT statement after a defined number of records or at the end of the script. You can also define the commit statement (COMMIT; by default) in the corresponding edit-box.

Other options

CheckBox Create multiple insert statement

Check this option to perform insert operation using multiple insert statements.

Export null values as

Specify the representation of NULL values in the result script.

Statement term

Define the character denoting the end of each SQL statement (semicolon by default).

CheckBox Add byte order mark (BOM)

With this option enabled the byte order mark is added to each TXT file.

See also:

Excel options

Access options

Word / RTF options

HTML options

PDF options

TXT options

CSV options

XML options

DBF options

Excel 2007/ODS options

Word 2007/ODT options


XML options

This tab allows you to set options for the target XML (*.xml) file.

Encoding

Specify XML document encoding from the list.

CheckBox Standalone

Set this option to create a standalone document. Disable the option if any markup declarations, that can affect the content of the document, as passed from XML processor to the application are present or can appear.

Step 7 - Format-specific options - XML

XML type

Select the type of the result XML document: Datapacket 2.0 or Access.

CheckBox Export XSD schema

For the Access type you can optionally select to export XSD schema, which defines the way the elements and attributes will be represented in an XML document. It also advocates that the given XML document should be of a specific format and specific data type.

CheckBox Convert images to Bitmap

Check this option to convert images stored in the source table to the *.png file format to ensure compatibility with MS Access database.

Note: Conversion between generic XML documents and documents of the XML-Datapacket (CDS) format can be performed with the help of XML Mapper by Borland®.

See also:

Excel 97-2003 options

Access options

Word 97-2003 / RTF options

HTML options

PDF options

TXT options

CSV options

SQL options

DBF options

Excel/ODS options

Word/ODT options


DBF options

This tab allows you to set options for the target DBF (*.dbf) file.

Step 7 - Format-specific options - DBF

At the DBF Options tab you can define the precision for float fields. Use the Float size and Float decimal fields for this purpose.

Encoding

Use the drop-down list to specify the preferable output file encoding. Possible values are: ANSI, OEM, MAC, UTF-8, UTF-16, UTF-32.

Hint: If more convenient, you can check the CheckBox Apply to all exported objects box to apply changes made at this tab for all exported objects.

See also:

Excel 97-2003 options

Access options

Word 97-2003 / RTF options

HTML options

PDF options

TXT options

CSV options

SQL options

XML options

Excel/ODS options

Word/ODT options


Excel/ODS options

The Excel (ODS) options tab allows you to set options for the target MS Excel (ODF Spreadsheets) (*.xlsx, *.ods) file.

Sheet name

Input custom name for the sheet in the result file.

You can customize options and strip styles using the corresponding sub-tabs:

  • Options
  • Styles

Step 7 - Format-specific options - Excel ODS

Note: For your convenience the previews illustrating the changes are displayed in the Sample Text area.

Hint: You can reset the changes any time using the Reset Item and the Reset All buttons.

See also:

Excel options

Access options

Word / RTF options

HTML options

PDF options

TXT options

CSV options

SQL options

XML options

DBF options

Word 2007/ODT options


Options

Using the Options tab you can set font and border options for all elements of the Excel / ODF sheet (HEADER, CAPTION, DATA, FOOTER).

Sheet name

If necessary, you can specify the sheet name for the target Excel / ODF Spreadsheet file.

Use the Font and the Size drop-down lists to select the font and size to be applied to the output text.

Use the buttons below to set font color, make text bold, italic, strikethrough text, set underline effects, specify text horizontal and vertical align.

Format-specific options - MS Excel 2007 and ODS - Options

CheckBox Use background

Enable this option to be able to change result file background color.

Press the [image] button on the left to set the background color.

You can reset the changes any time using the Reset Item and the Reset All buttons.

Note: For your convenience the previews illustrating the changes are displayed in the Sample Text area.

Enable the CheckBox Use Border option at the Border tab if it is needed.

Then define its color [image] and style.

Format-specific options - MS Excel 2007 and ODS - Options - Border


Styles

Using the Styles tab you can create and save a style template: set font, size, background color, text alignment, wrap text options.

Use iconPlus iconMinus buttons to add/remove a style.

Use btnMoveUp btnMoveDown buttons to reorder the style's list.

You can also save styles and load saved ones.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip Type selection).

Format-specific options - MS Excel 2007 and ODS - Styles

CheckBox Use background

Enable this option to be able to change result file background color.

Press the [image] button on the left to set the background color.

You can reset the changes any time using the Reset Item and the Reset All buttons.

Note: For your convenience the previews illustrating the changes are displayed in the Sample Text area.


WORD/ODT options

The Word (ODT) Options tab allows you to set options for the target MS Word (ODF text) (*.docx, *.odt) file.

You can customize options, strip styles and border using the corresponding sub-tabs:

  • Options
  • Styles
  • Advanced

Step 7 - Format-specific options - Word ODT

Note: For your convenience the previews illustrating the changes are displayed in the Sample Cell area.

Hint: You can reset the changes any time using the Reset Item and the Reset All buttons.

See also:

Excel options

Access options

Word / RTF options

HTML options

PDF options

TXT options

CSV options

SQL options

XML options

DBF options

Excel 2007/ODS options


Options

The Options sub-tab contains the list of target file entities, such as table header, data, etc. Using the Options tab you can set font options for all elements of the Word / ODF text document (HEADER, CAPTION, DATA, FOOTER). You can customize style options, such as font and size, background and foreground colors, text alignment, text highlight, etc. for each of them by clicking the corresponding item in the list and setting the options in the right-side panel.

Format-specific options - MS Word 2007 and ODT - Options


Styles

Using the Styles tab you can create and save a style template: set font, size, background color, text alignment, highlight options.

Use iconPlus iconMinus buttons to add/remove a style.

Use btnMoveUp btnMoveDown buttons to reorder the style's list.

You can also save styles and load saved ones.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip Type selection).

Format-specific options - MS Word 2007 and ODT - Styles

Press the [image] button on the left to set the background color.

Press the [image] button on the right to set the highlight color.

CheckBox Use highlight

Enable this option to be able to select highlight color from the drop-down list.

CheckBox Use background

Enable this option to use the specified color in the result file as background.

Note: For your convenience the previews illustrating the changes are displayed in the Sample Text area.


Border

Using the Border tab you can enable borders in the result Word / ODF text document and customize them.

Click the Border Color icon to select a color using the Color dialog where you can specify the required color from the palette.

Border Width

Type in the preferable border width.

Format-specific options - MS Word 2007 and ODT - Border


Step 7 - Setting base data formats

At this step you should define data formats of the exported fields.

Data type formats

Use this group to define formats for the exported columns. You can keep the default format values or edit some of them, if necessary.

See Format specifiers for more details.

User-defined column formats

Using this group you can also define your own formats for numeric and Date/Time column. These fields (if there are any in your source table) are available in the drop-down list at the top of the User group. Select a column from the Column Name drop-down list, then select its format from the Column Format drop-down list and click the Add button. The column and its format will be added to the list box below. To edit a column format, select the column in the list box and click the Edit button. To delete a format, click the Delete button. To clear the list box, click the Clear button.

Hint: If more convenient, you can check the CheckBox Apply to all exported objects box to set the specified format for all exported objects.

CheckBox Don't show this step anymore

Use the option to disable this step. To enable the step use the appropriate option at the Selecting skipped steps tab of the Preferences dialog.

When you are done, press the Next button to proceed to the next step.


Step 8 - Setting common options

Use this step of the wizard to set common export options. The detailed description of these options is given below.

File properties

Destination file

Use this edit field to set the name of the output file. You can click the Browse... button to define it using the Save As dialog.

CheckBox Open file after export

If this option is checked, the result file will be opened with the currently associated program after the export operation is completed.

CheckBox Print file after export

If this option is checked, the result file will be sent to the default printer after the export operation is completed.

CheckBox Use file name template

If this option is checked then current date and time are added to the result file name.

Constraints

Skip ... record(s)

Specifies the number of records to be skipped before export starts.

CheckBox Export empty data

The option indicates whether empty records should be exported.

CheckBox Export binary data to Base64

Check this option to encode binary data in the exported file as Base64.

RadioButton Export all records

Specifies that all records of the selected table will be exported.

RadioButton Export only ... record(s)

Specifies the number of records to be exported.

Save Export Options... / Load Export Options...

Use these buttons to save / load all export settings to/from an external configuration file. For details refer to Configuration file format.

Upload options

Select the protocol in the Upload mode field to enable uploading of exported files to FTP server. After that define connection settings:

  • Host is the name of the FTP server.
  • Port indicates the port of the FTP server.
  • Path is the the directory on the FTP server where you want to upload exported files.
  • User stands for the user name on the machine with FTP server.
  • Password is the user password.

Click the Check connection button to check connection to the FTP server with the settings defined above.

Hint: If more convenient, you can check the CheckBox Apply to all exported objects box to set the specified options for all exported objects.

CheckBox Don't show this step anymore

Use the option to disable this step. To enable the step use the appropriate option at the Selecting skipped steps tab of the Preferences dialog.

When you are done, press the Next button to proceed to the next step of the wizard.


Step 9 - Defining scripts

This step of the wizard allows you to define scripts to be executed before and after export process for each table.

Select a table to define the script for. Type the text of the script to be executed before the export operation in the Before export script area, the script to be executed after the export operation in the After export script area.

Select another table and add scripts for it, if necessary.

You can also save and load Before export and After export scripts using the corresponding Save script... and Load script... buttons. The Clear button erases the text and clears the current editor window.

Step 9 - Defining scripts

CheckBox Don't show this step anymore

Use the option to disable this step. To enable the step use the appropriate option at the Selecting skipped steps tab of the Preferences dialog.

Hint: If more convenient, you can check the CheckBox Apply to all exported objects box to set the specified options for all exported objects.

When you are done, press the Next button to proceed to the last step of the wizard.


Step 10 - Start of data export process

This step of the wizard is intended to inform you that all export options have been set, and you can start the export process.

If everything is correct, press the Export button to start the process. If you want to change something, you can return to any of the wizard steps using the Back button.

You can btnSave save process log into *.log file or btnCopy copy it to a clipboard using the corresponding buttons.

Please, do not forget to save export templates if you need to repeat the export process with the same or similar settings later.


Using configuration files (templates)

Data Export for Oracle allows you to store its configuration settings in external *.cfg files if you need to perform the data export process repeatedly.

You can load previously saved configuration settings to the application wizard if you need to make some changes before data export, or you can run it with the console application for quicker export.

Data Export templates are saved within the Save template options dialog. To open this dialog, press the Tools button and select the btnSave Save Template popup menu item.

Note: You can save changes to a template without recalling the save dialog using the btnSaveAs Save Template As popup menu item.

Using configuration files - Saving template

File name

Specify the template file name and select its location using the btnSaveAs button which calls the Save As... dialog.

Comment

Specify custom comment for the template file if need.

Using configuration files - Save Template options

If you need to repeat data exporting process with the same or similar settings later, it is reasonable to save all the settings you entered on the Start of data export process step of the Wizard.

Data Export templates are loaded within the Open template dialog. To open this dialog, press the Tools button and select the btnLoadTemplate Load template popup menu item.

Using configuration files - Loading template

Please note that loading a template is only available at the Getting started and the Setting connection properties steps of the Wizard.

If necessary, you can reload a template using the Reopen configuration popup menu item of the Tools menu.

Using configuration files - Reloading configuration

When the configuration file is loaded, you can browse (or change the settings, if necessary) in all steps of the wizard.

See also:

Working with wizard application

Setting program preferences


Setting program preferences

Data Export for Oracle provides full customization of the program by setting various options within the btnPreferences Preferences dialog. This chapter is intended to inform you how to use all these options.

General options

These options define general behavior of Data Export for Oracle.

Selecting skipped steps

Manage steps that are visible or hidden in the wizard.

Default data formats

This page allows you to set default data formats.

Default query

This page allows you to input a template for a new query that will appear at Step 3 of Wizard Application.

Localization

This page allows you to select a language to be applied for your copy of Data Export for Oracle.

See also:

Working with wizard application

Using configuration files


Setting general options

General

Theme

Select the main color theme for the application: Light or Dark.

CheckBox Confirmation on exit

Enables/disables confirmation upon exiting the program.

CheckBox Save password

Setting this option allows you to save passwords used for access to the databases automatically upon closing the application. Please note that checking this option saves the latest password used for connection to the database (including the SSH server password).

CheckBox Format SQL values

The option determines whether SQL values (e.g. integer, float, currency, datetime, etc.) should be formatted according to the settings specified on the Default formats page.

CheckBox Show views

By setting this option on you can export data from views - they will appear in the list of available tables at Step 2 of the Wizard application.

CheckBox Show system tables

Enable this options if you need system tables to be added to the list at Step 2.

Preferences - General

See also:

Setting default formats

Selecting skipped steps

Setting default query template

Selecting program language


Selecting skipped steps

Skipped steps

Use this option group to define the Wizard application steps to be skipped. The steps presented in the list contain the CheckBox Don't show this step anymore that indicates whether this step should be skipped. Enabling steps marked as skipped is possible only in current dialog.

CheckBox Skip steps

This option determines the behavior of the Next and Back buttons. When this option is disabled, clicking the Next button leads to sequential passing through the list of exported objects. When this option is enabled, the steps checked on the page will be skipped.

Preferences - Skipped steps

See also:

Setting general options

Setting default formats

Setting default query template

Selecting program language


Setting default formats

This page allows you to customize formats applied to exported data. Edit the format masks to adjust the result format in the way you need, or click the Reset button if you wish to apply default data formats.

The current format settings will be used if the Format SQL values option is enabled (Preferences | General).

See Format specifiers for details.

Preferences - Default formats

See also:

Setting general options

Selecting skipped steps

Setting default query template

Selecting program language


Setting default query template

This page allows you to define the default query text that is used on adding a new query at Step 3 of the Wizard application.

Preferences - Default query

See also:

Setting general options

Selecting skipped steps

Setting default formats

Selecting program language


Selecting program language

The Languages page is provided for managing Data Export localization files.

You can create your own *.lng files similar to those available in the %program_directory%\Languages folder, add them to the list of available languages and set the new language as the program interface language.

The table lists all the languages available for localization and the corresponding *.lng files.

Preferences - Languages

Language Directory

Use the ellipsis btnEllipsis button to specify the directory where the *.lng files are stored by default.

See also:

Setting general options

Selecting skipped steps

Setting default formats

Setting default query template


Console application

Additionally to the GUI version which is implemented in the form of a wizard application, the installation package of Data Export for Oracle includes the console version which is intended for running from Windows command line with a template file name used as the execution parameter. You can schedule exporting using Scheduled Tasks tool implemented in Windows.

Data Export for Oracle command line utility is intended for quick and powerful data export from Oracle tables.

  • Working with console application
  • How to schedule console run
  • Configuration file format

See also:

Wizard application


Working with console application

All the export options are set in configuration (*.cfg) files. A configuration (template) file can be also used in the Console version of Data Export for Oracle.

To create a configuration (template) file, follow the instructions below:

  • start Data Export Application wizard;
  • set all the required options in all steps of the wizard;
  • test the export process at the last step;
  • save all export options in the template.

The easiest way to start Data Export for Oracle console application is to double-click the generated *.cfg template. The other way is to enter the command line and type the appropriate command.

Usage:

<path to Data Export for Oracle console application>\OraExportC.exe TemplateFile [-B]

TemplateFile

Stands for the path and the name of *.cfg template file to be used as the console version execution parameter

[-B]

Use this parameter in the command line to run the console version of Data Export for Oracle in the background mode

Example:

"C:\Program Files\EMS\Data Export for Oracle\OraExportC.exe" "C:\EMS\DataExport\Example.cfg" -B

Using parameters in queries

OraExportC.exe [Template file] -[Query name]:[Parameter name]=[Value] -[Query name]:[Parameter name]=[Value] etc.

(see Using query parameters)

Note: The following exit codes can be returned by Data Export for Oracle to the operating system after performing the latest task:

0 - successful completion;

1 - error(s) occurred during task performing;

2 - fatal error occurred. The task was not performed.

See also:

Working with wizard application

How to schedule console run


How to schedule console run

Here are the steps to schedule program run with standard Windows scheduler:

1. Set all options in the program and click Tools --> Save template on the last step..

2. Open the command line in Windows (type CMD in the Run... dialog).

3. Use the following command to run the console version with the saved template:

<path to Data Export for Oracle console application>\OraExportC.exe TemplateFile [-B]

For example:

"C:\Program Files\EMS\Data Export for Oracle\OraExportC.exe" "C:\EMS\DataExport\Example.cfg" -B

4. Launch the standard Task Scheduler tool in Windows OS.

5. Set the command for exporting data as described above.

6. Set the schedule for the command execution.

7. Save the scheduled task.

See also:

Working with console application

Configuration file format


SSH tunneling options

To setup the connection via SSH tunnel, input the following values in the corresponding fields:

  • SSH host name is the name of the host where SSH server is running
  • SSH port indicates the port where SSH server is activated
  • SSH user name stands for the user on the machine where SSH server is running (Note: it is a Linux/Windows user, not a user of Oracle server)
  • SSH password is the Linux/Windows user password

CheckBox Use Private Key for authentication

If the SSH encryption is enabled on the SSH server, a user can generate a pair of cryptographic keys (the Private key and the Public key). The Public key is placed on the SSH server, and the Private key is the part you keep secret inside a secure box that can only be opened with the correct passphrase (or an empty string as the passphrase). When you wish to access the remote system, you open the secure box with your passphrase (if any), and use the private key to authenticate yourself with the Public key on the remote Linux computer.

SSH Key file

Specify the location (the secure box) of the Private key file on your local machine.

Supported Private Key file formats are:

OpenSSH

Putty

SSH.com

Note that you need to trust your local machine not to scrape your passphrase or a copy of your Private key file while it is out of its secure box.

SSH Private Key - Passphrase


Format specifiers

The following format specifiers are supported in the format string:

Float/Integer format

0

Digit place holder. If the value being formatted has a digit in the position where the '0' appears in the format string, then that digit is copied to the output string. Otherwise, a '0' is stored in that position in the output string.

#

Digit placeholder. If the value being formatted has a digit in the position where the '#' appears in the format string, then that digit is copied to the output string. Otherwise, nothing is stored in that position in the output string.

.

Decimal point. The first '.' character in the format string determines the location of the decimal separator in the formatted value; any additional '.' characters are ignored.

,

Thousand separator. If the format string contains one or more ',' characters, the output will have thousand separators inserted between each group of three digits to the left of the decimal point. The placement and number of ',' characters in the format string does not affect the output, except to indicate that thousand separators are wanted.

E+

Scientific notation. If any of the strings 'E+', 'E-', 'e+', or 'e-' are contained in the format string, the number is formatted using scientific notation. A group of up to four '0' characters can immediately follow the 'E+', 'E-', 'e+', or 'e-' to determine the minimum number of digits in the exponent. The 'E+' and 'e+' formats cause a plus sign to be output for positive exponents and a minus sign to be output for negative exponents. The 'E-' and 'e-' formats output a sign character only for negative exponents.

Date/Time format

c

Displays the date using the format using the Short Date Format, followed by the time using the Long Time Format. The time is not displayed if the date-time value indicates midnight precisely.

d

Displays the day as a number without a leading zero (1-31).

dd

Displays the day as a number with a leading zero (01-31).

ddd

Displays the day as an abbreviation (Sun-Sat) using the strings of the Short Day Names.

dddd

Displays the day as a full name (Sunday-Saturday) using the strings of the Long Day Names.

ddddd

Displays the date using the Short Date Format.

dddddd

Displays the date using the Long Date Format.

e

Displays the year in the current period/era as a number without a leading zero (Japanese, Korean and Taiwanese locales only).

ee

Displays the year in the current period/era as a number with a leading zero (Japanese, Korean and Taiwanese locales only).

g

Displays the period/era as an abbreviation (Japanese and Taiwanese locales only).

gg

Displays the period/era as a full name. (Japanese and Taiwanese locales only).

M

Displays the month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.

MM

Displays the month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.

MMM

Displays the month as an abbreviation (Jan-Dec) using the strings given of the Short Month Names.

MMMM

Displays the month as a full name (January-December) using the strings of the Long Month Names.

yy

Displays the year as a two-digit number (00-99).

yyyy

Displays the year as a four-digit number (0000-9999).

h

Displays the hour without a leading zero (0-23).

hh

Displays the hour with a leading zero (00-23).

m

Displays the minute without a leading zero (0-59).

mm

Displays the minute with a leading zero (00-59).

s

Displays the second without a leading zero (0-59).

ss

Displays the second with a leading zero (00-59).

z

Displays the millisecond without a leading zero (0-999).

zzz

Displays the millisecond with a leading zero (000-999).

t

Displays the time using the Short Time Format.

tt

Displays the time using the Long Time Format.

am/pm

Uses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

a/p

Uses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon. The a/p specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

ampm

Uses the 12-hour clock for the preceding h or hh specifier, and displays the contents of the TimeAMString global variable for any hour before noon, and the contents of the TimePMString global variable for any hour after noon.

/

Displays the date separator character using the Date Separator.

:

Displays the time separator character using the Time Separator.

'xx'/"xx"

Characters enclosed in single or double quotes are displayed as-is, and do not affect formatting.


Supported file formats

RadioButton MS Excel 97-2003

The most popular e-table format used by Microsoft® Excel (*.xls). The result files are fully compatible with Microsoft® Excel versions 97-2000, 2003 and XP.

RadioButton MS Access 97-2003

File of Microsoft® Access format (*.mdb) with an ADO connection used.

RadioButton MS Word 97-2003

One of the most popular text processing formats used by Microsoft® Word (*.doc). The result files are fully compatible with Microsoft® Word versions 97-2000, 2003 and XP.

RadioButton RTF

Rich Text Format (*.rtf) supported by many text processing programs (e.g. WordPad).

RadioButton HTML

Hyper Text Markup Language file format (*.html, *.htm), complete compatibility with HTML 4.0 specification.

RadioButton PDF

A standard format in electronic publishing (*.pdf).

RadioButton Text file

Plain text file format (*.txt).

RadioButton CSV file

Comma-Separated Value file format (*.csv).

RadioButton DIF file

Data Interchange File (*.dif) format.

RadioButton SYLK

Symbolic Links (*.slk) file format.

Note: all the text formats including Text file, CSV, DIF, SYLK are usually used as working or interchange formats.

RadioButton LaTeX

A specific file format (*.tex) which is a popular (especially among mathematicians and physicists) macroextension of TeX pack developed by D. Knut.

RadioButton XML

A markup language for documents containing structured information (*.xml).

RadioButton DBF

Database file format (*.dbf) used by dBASE and a number of xBASE applications.

RadioButton MS Excel

The e-table format used by Microsoft® Excel (*.xlsx).

RadioButton MS Word

The text processing format used by Microsoft® Word (*.docx).

RadioButton MS Access

The database file format used by Microsoft® Word (*.accdb).

RadioButton ODF Spreadsheets

OASIS Open Document Format for Office Applications - open document file format for spreadsheets (*.ods) used by a number of applications including OpenOffice.org and KOffice.

RadioButton ODF text

OASIS Open Document Format for Office Applications - open document file format for word processing (*.odt) documents used by a number of applications including OpenOffice.org and KOffice.


Configuration file format

The configuration (template) file used by Data Export for Oracle is divided into several sections, each corresponding to a particular group of settings specified at different steps of the GUI application wizard.

[#General#]

This section stores information about the product name and its major version.

[#General#]

This section stores general information about the utility:

[Connection]

This section contains parameters for connecting to the server: tunneling settings, Login, Password (encrypted). These parameters are obligatory.

Note that parameter DBName used in previous versions is no more obligatory. You can set databases for each table and query separately in the [Databases] section.

[Tables]

This section contains the list of database tables to export in the following format:

<table key>=<table name>

e.g.

table1=Country

table2=Employee

This section may be empty.

[Queries]

This section contains the list of queries and their identifiers (used while loading queries into the wizard application) in the following format:

<query key>=<query identifier>

e.g.

query1=CountryQ

[SQL_<query key>]

Sections of this type contain query text for each query. The lines must be specified in the following format:

Item_0=<query line 1>

Item_1=<query line2>

etc.

See the example below:

[Queries]

query0=Query_0

[SQL_query0]

Item_0=select name, capital

Item_1=from countries

Item_2=where continent = 'South America'

This section may also be empty, but remember that if you do not specify any table or query, no data are exported.

[Files]

This section lists files for data export in the following format:

<table key>=<filename>

<query key>=<filename>

etc.

You can specify either full paths or relative paths, e.g.

table1=table1.xls

or

query1=C:\Exported data\query1.docx

Note that you must specify the file extension properly to receive data in the required format. Otherwise, extension .xls is taken by default.

[Databases]

This section allows you to specify a database for each table and query in the following format:

<table key>=<database name>

<query key>=<database name>

If you do not specify a database for a table or a query, the database name for this table or query is taken from the DBName parameter value of the [Connection] section.

[Templates]

This section specifies template files for each table or query. This template (*.exp) file is generated by the utility with the configuration (*.cfg) file and contains various export settings: export type, result filename, fields for export, number of records to export, specific Excel, RTF, HTML, or other options and more.

The section has the following format:

<table key>=<template filename>

<query key>=<template filename>

etc.

You can specify either full or relative file paths, e.g.

table1=template1_xls.exp

or

query_clients=D:\Templates\template2_rtf.exp

If you do not specify any file name in the [Files] section, it is taken from the template. If you specify neither file name, nor

template for table or query, then the <table name>.xls filename is taken by default for tables, or <query key>.xls for queries.

You can set arbitrary table or query keys in the [Tables], [Queries], [Files], [Databases] and [Templates] sections, but they MUST NOT contain spaces and they MUST be identical in different sections.


Using query parameters

Both the GUI Wizard and the console version of Data Export for Oracle support parameters in a query.

For example, you export data from a table named table1 and at Step 3 of the GUI version of the utility you specify the following query, e.g. Query_0:

SELECT * FROM table1 WHERE field1 > :param0

Then you need to save the template file which will be used in the console version of the utility. To set the parameter value when using the console version, you need to specify the following command in the command line (if you run the console version from the program installation directory and the template file is also located in this directory):

OraExportC.exe TemplateFile -Query_0:param0=5

where 5 is the query parameter value

If you export data from multiple queries, you need to specify the following command in the command line:

OraExportC.exe TemplateFile -Query_0:param0=5 -Query_1:param1=10 -Query_2:param2=15

where 5, 10, 15 are the query parameter values

See also:

Working with console application


Advanced connection settings

You need the installed Oracle client on the client computer where Data Export for Oracle will be used. The version of the Oracle client should be compatible with the version of Oracle server you need to connect.

You need to add the connection settings of Oracle server databases to your TNS names file (tnsnames.ora file). This is a configuration file which contains databases description.

If you use Database Client the tnsnames.ora file is located in the %HOME_name\NETWORK\ADMIN directory.

If you use Instant Client for oracle, you should create tnsnames.ora file manually. since it does not exist. File should be created in the same directory where Oracle instant client is installed (e.g. C:\OracleInstantClient\). This file can be created using any text editor (create a simple text file and then change its name and extension).

Only for Instant Client: After the tnsnames.ora file is created and database description is added, create TNS_ADMIN environment variable. For this please do the following:

  1. Right-click 'My computer'.
  2. Select 'Properties' menu item.
  3. Proceed to the 'Advanced' tab and press 'Environment Variables' button.
  4. Press 'New...' button in the 'System variables' section.
  5. Set 'Variable name:' TNS_ADMIN, 'Variable value:' C:\OracleInstantClien\tnsnames.ora
  6. Press 'OK' button to save the variable.

Find PATH variable in the same dialog, double-click it and add path to the Oracle Instant client libraries (they are located in the directory where client is installed, i.e. C:\OracleInstantClient\). Remember that the paths entries should be separated with semicolons ( ; ).

Data Export for Oracle connects to the server (with the help of Oracle client) via TCP/IP protocol. Here is an example of TCP/IP connection specified in TNS names file:

DB_Alias =

(DESCRIPTION =

(ADDRESS_LIST =

(ADDRESS = (PROTOCOL = TCP)(HOST = Host_name)(PORT = 1521))

)

(CONNECT_DATA =

(SERVER = DEDICATED)

(SERVICE_NAME = Database_Name)

)

)

PROTOCOL is the keyword that identifies the specific protocol adapter used. For this protocol, the value is TCP. The value can be entered in either uppercase or lowercase.

HOST is the host name or IP address.

PORT is the TCP/IP port number.

SERVICE_NAME the name of service on server; the database instance name may differ from the actual database name, but generally the names match.

DB_Alias any name of the connection

At the first step select Oracle client HOME in Database home dropdown list and select database from the Database dropdown list. The databases names are taken from the tnsnames.ora file.